### Property

# Phosh Shell:primary-monitor

#### Declaration

    property primary-monitor: Phosh.Monitor [ read, write ]

#### Description [src]

The primary monitor that has the panels, lock screen etc.

Type:`PhoshMonitor`

Getter method | `phosh_shell_get_primary_monitor()`
Setter method | `phosh_shell_set_primary_monitor()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no